Bug 384469 - Be able to play a notification sound for "This device can now be safely removed."
Summary: Be able to play a notification sound for "This device can now be safely remov...
Status: CONFIRMED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Disks & Devices (show other bugs)
Version: 5.10.5
Platform: OpenSUSE Linux
: NOR wishlist
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-07 15:33 UTC by Paul
Modified: 2022-09-14 16:57 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screen-shot of notifications -> device notifier (144.13 KB, image/jpeg)
2021-06-16 08:41 UTC, Paul
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul 2017-09-07 15:33:18 UTC
"Event Notifications & Actions" lacks the ability to "Play a Sound" upon the notification "This device can now be safely removed." (was present in the old KDE4 version).
Comment 1 Paul 2019-09-06 16:42:02 UTC
Any chance of this being implemented I wonder.

The audible notification was quite useful when copying large amounts of data to a USB drive, to bring to one's attention the fact all of the buffered data had been written.
Comment 2 Nate Graham 2020-11-25 00:31:12 UTC
Could implement this by sending a sound-only notification, which is what Kamoso does.
Comment 3 Bug Janitor Service 2020-11-25 03:44:59 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/481
Comment 4 Nate Graham 2021-02-06 17:11:45 UTC
Git commit 47f79ce60703d2ae36d97f97ba829d4c8f257d1f by Nate Graham.
Committed on 06/02/2021 at 17:11.
Pushed by ngraham into branch 'master'.

[applets/devicenotifier] Play sound when device can be safely removed

Apparently this was a KDE 4 feature that was lost in the Plasma 5 port.

I've re-implemented it using a notification, so it can be turned off or
customized if the user so desires. Kamoso does something similar.
FIXED-IN: 5.21

M  +2    -0    dataengines/devicenotifications/CMakeLists.txt
A  +8    -0    dataengines/devicenotifications/devicenotifications.notifyrc
M  +2    -0    dataengines/devicenotifications/ksolidnotify.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/47f79ce60703d2ae36d97f97ba829d4c8f257d1f
Comment 5 Ilya Bizyaev 2021-02-21 09:38:38 UTC
A counterpart for when a new device appears would also be great :)
Comment 6 Nate Graham 2021-02-21 23:14:17 UTC
That would be nice, yeah.

However it would probably be ideally implemented at a deeper level, so the sound would play when any device it attached, not just the kind of device that can be accessed using the Disks & Devices applet. You'd want to hear a sound when you plug in a mouse or keyboard too, so you know that the system recognized it.

Can you file a bug report for that?
Comment 7 Ilya Bizyaev 2021-04-08 15:24:41 UTC
Done as https://bugs.kde.org/show_bug.cgi?id=435509.
Comment 8 Paul 2021-06-16 08:41:10 UTC
Created attachment 139374 [details]
screen-shot of notifications -> device notifier
Comment 9 Paul 2021-06-16 08:41:34 UTC
Sorry if I'm being rather dumb... but:

5.22 has landed in openSUSE TW and I've set the "Notifications" for "Device Notifier" as shown in attached screenshot. (BTW there's no description shown for the trigger event.)  In setup the notification plays when the "Preview" button is clicked, but having exited setup after "Apply" "OK" and then mounting / un-mounting a USB stick, the notification sound does not play upon the "This device can now be safely removed." message.
Comment 10 Paul 2021-06-19 13:14:51 UTC
Temporarily re-opened, as I guess this hasn't been noticed.
Comment 11 Nate Graham 2021-08-08 17:53:01 UTC
Darn. Can confirm. Looks like my fix broke. :(